Bug 566834 - "_XAllocID: Assertion `ret != inval_id\' failed" in _cairo_xlib_surface_ensure_dst_picture running /usr/bin/sealert
"_XAllocID: Assertion `ret != inval_id\' failed" in _cairo_xlib_surface_ensur...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:81f573b6b90e1bf76bb7e7dbb76...
: Reopened
: 568540 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-19 17:05 EST by nakieb
Modified: 2010-12-03 17:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.81 KB, text/plain)
2010-02-19 17:06 EST, nakieb
no flags Details

  None (edit)
Description nakieb 2010-02-19 17:05:50 EST
abrt 1.0.6 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python -E /usr/bin/sealert -s
component: python
executable: /usr/bin/python
kernel: 2.6.31.12-174.2.3.fc12.i686
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)
release: Fedora release 12 (Constantine)
Comment 1 nakieb 2010-02-19 17:06:06 EST
Created attachment 395187 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-02-19 22:16:26 EST
Thank you for your report.

This bug is in the ies4linux script you are using to run Internet Explorer. 

Fedora does not provide or support this script. We would suggest that you report the problem to the upstream project at http://www.tatanka.com.br/ies4linux/ , but it does not seem to have been updated since February 2008, so the effort may be wasted. There is unfortunately nothing the Fedora project can do to help you with this problem.

*** This bug has been marked as a duplicate of bug 543591 ***
Comment 3 Dave Malcolm 2010-02-19 22:17:40 EST
A thousand apologies; I changed the wrong bug by mistake; reopening this bug (this change was meant for bug 566701)
Comment 4 Dave Malcolm 2010-02-19 22:20:47 EST
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q setroubleshoot-server

Looking at the backtrace, it looks like an assertion failed inside frame 3 of the program's single thread inside _XAllocID.

Reassigning component from "python" to "setroubleshoot";  hopefully the setroubleshoot maintainer will be able to figure this out further or reassign as necessary.
Comment 5 nakieb 2010-02-21 16:39:22 EST
(In reply to comment #4)
> Thank you for reporting this bug.
You are welcome
> 
> How reproducible is this problem? 
I got it by chance .only once .

> If you run the program from a terminal, is
> an error message printed?
> 
I ran twice . one with no error message and the other with the following error message :

RepoError Caching enabled and local cache: /var/cache/yum/i386/12/updates/4b0e3abdab830d9fe2691497095761f2c6f0e3fe6b9fe0b2188f546118d9a695-primary.sqlite.bz2 does not match checksum

If i run it in terminal as a super user , no gui appers and returns without any output or errors .this is very strange as gedit after su  always return errors to me.

> What is the output of running the following command?
>   rpm -q setroubleshoot-server
setroubleshoot-server-2.2.63-2.fc12.i686

> 
> Looking at the backtrace, it looks like an assertion failed inside frame 3 of
> the program's single thread inside _XAllocID.
> 
> Reassigning component from "python" to "setroubleshoot";  hopefully the
> setroubleshoot maintainer will be able to figure this out further or reassign
> as necessary.
Comment 6 nakieb 2010-02-25 17:56:59 EST
*** Bug 568540 has been marked as a duplicate of this bug. ***
Comment 8 Bug Zapper 2010-11-03 17:45:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-03 17:36:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.